Subject: bug#24161: [PATCH 2/2] sed: speed up matching by reguler expression with dfa matcher

From: Assaf Gordon <[email-masked]>
Date: Fri, 5 Aug 2016 10:51:40 -0400

Hello Norihiro,

On 08/05/2016 10:03 AM, Norihiro Tanaka wrote:
> We can speeds up sed by using dfa matcher brought from grep.  gawk users
> it, sed does not uses it yet.  It will speed up matching for typical
> cases.
[...]
> I believe that this patch can greatly improve performance of matching by
> sed, however I worry about the maintenance as updates for dfa is always
> done in grep.

Nice improvement, thank you for the patch!

Keeping up with grep should not be a problem - Jim Meyering is the maintainer of both sed and grep (and I also try to keep up-to-date with grep's changes).

I wonder, if this code is used by multiple gnu projects, wouldn't it be better to include it in gnulib (instead of duplicating the code) ?

I also see from a cursory look that the test coverage is low (which is expected: sed currently use the native regex code and does not test specifically for it). I'm happy to try and add more tests, but it'll take a bit of time.

regards,
  - assaf